@extends('layout.base')

@section('content')
<div class="row page-heading">
	<h3>Agregar Postventa</h3>
</div>
<br />
<form method="post" class="form-horizontal" action="{{url('', ['p' => 'postventas', 'a' => 'agregar', 'venta' => $venta->id])}}">
<div class="form-group">
	<div class="col-md-2">Fecha</div>
	@include('form.fecha')
</div>
<input type="hidden" name="observaciones" value="[]" />
<div class="form-group" id="observaciones">
	<div class="col-md-6">Observaciones</div>
	<div class="col-md-6 text-right"><span class="glyphicon glyphicon-plus agregar" id="agregar_observacion"></span></div>
</div>
<div class="form-group" id="submit">
	<div class="col-md-offset-2 col-md-3"><input type="submit" class="form-control" value="Agregar" /></div>
</div>
</form>
@endsection

@push('scripts')
<script type="text/javascript">
var observaciones = [];
$(document).ready(function() {
	$('#agregar_observacion').click(function(e) {
		agregarObservacion();
	});
});
function agregarObservacion() {
	var obs = $('#observaciones').parent();
	var submit = $('#submit');
	var n = observaciones[observaciones.length - 1] + 1;
	if (observaciones.length == 0) {
		n = 1;
	}
	observaciones[observaciones.length] = n;
	var input = $('<input/>').attr('type', 'text').attr('name', 'observacion' + n).attr('class', 'form-control');

	submit.before(
			$('<div></div>').attr('class', 'form-group').append(
					$('<div></div>').attr('class', 'col-md-2').html(n)
			).append(
					$('<div></div>').attr('class', 'col-md-9').append(
							input
					)
			).append(
					$('<div></div>').attr('class', 'col-md-1').append(
							$('<span></span>').attr('class', 'glyphicon glyphicon-minus remover').attr('data-id', n).attr('id', 'remover_observacion' + n)
					)
			)
	);

	$("input[name='observaciones']").val(JSON.stringify(observaciones));
	$('#remover_observacion' + n).click(function(e) {
		i = $(this).attr('data-id');
		removeObservacion(i);
	});
}
function removeObservacion(n) {
	var obs = $('#observaciones').parent();
	console.debug(obs.find("input[name='observacion" + n + "']"));
	obs.find("input[name='observacion" + n + "']").parent().parent().remove();
	i = observaciones.binaryIndexOf(n);
	observaciones.splice(i, 1);
	$("input[name='observaciones']").val(JSON.stringify(observaciones));
}
</script>
@endpush